---
search:
  tags:
    - 工具
    - GET
seo:
  description: 返回当前Bearer凭据可见的工具名称、说明、权限范围、确认要求和输入结构定义。
sidebar:
  label: 发现可用工具
  badge: GET
title: 发现可用工具
type: openapi-operation
---
返回当前Bearer凭据可见的工具名称、说明、权限范围、确认要求和输入结构定义。

`GET /api/v1/tools`

**响应**

- `200` — 可用工具的描述符。
- `400` — 请求无效。不接受查询参数。工具验证失败时可能使用工具错误封装结构。
- `401` — Bearer凭据缺失、无效或已过期。
- `403` — 凭据缺少所需权限。
- `404` — 供程序调用的API或请求的工具不可用。
- `429` — 已超过速率限制，可以重试请求。
- `503` — API或其上游执行环节不可用。

响应示例, 200:

```json
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}
```
